Skip to main content
PATCH
/
v1
/
admin
/
distribution
/
inventory-allotments
/
{id}
Update an inventory allotment
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/distribution/inventory-allotments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channelId": "<string>",
  "productId": "<string>",
  "contractId": "<string>",
  "optionId": "<string>",
  "startTimeId": "<string>",
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "guaranteedCapacity": 123,
  "maxCapacity": 123,
  "active": true,
  "notes": "<string>"
}
'
{
  "data": {}
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
channelId
string
required
productId
string
required
contractId
string
optionId
string
startTimeId
string
validFrom
string<date>
validTo
string<date>
guaranteedCapacity
integer
maxCapacity
integer
active
boolean
notes
string

Response

200 - application/json

Updated allotment

data
object